petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoComputeDualVariables

Computes the dual vectors corresponding to the bounds of the variables

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeDualVariables(Tao tao, Vec DL, Vec DU)

Collective on Tao Many br

### Input Parameters

tao -the Tao context Many br

### Output Parameter

| DL | - dual variable vector for the lower bounds Many br
| DU | - dual variable vector for the upper bounds Many br

Many br

### Note

DL and DU should be created before calling this routine. If calling Many brthis routine after using an unconstrained solver, DL and DU are set to all Many brzeros. Many br

Many br

### See Also

TaoComputeObjective(), TaoSetVariableBounds()

Level:advanced
Location:src/tao/interface/taosolver_bounds.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages